/* compress_filter.cmdline.h */

/* File autogenerated by gengetopt version 2.17  */

#ifndef COMPRESS_FILTER_CMDLINE_H
#define COMPRESS_FILTER_CMDLINE_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef COMPRESS_CMDLINE_PARSER_PACKAGE
#define COMPRESS_CMDLINE_PARSER_PACKAGE "compress_filter"
#endif

#ifndef COMPRESS_CMDLINE_PARSER_VERSION
#define COMPRESS_CMDLINE_PARSER_VERSION "(paraslash 0.2.16, neural discharge)"
#endif

struct compress_filter_args_info
{
  const char *help_help; /* Print help and exit help description.  */
  const char *version_help; /* Print version and exit help description.  */
  int blocksize_arg;	/* larger blocksize means fewer volume adjustments per time unit (default='16').  */
  char * blocksize_orig;	/* larger blocksize means fewer volume adjustments per time unit original value given at command line.  */
  const char *blocksize_help; /* larger blocksize means fewer volume adjustments per time unit help description.  */
  int aggressiveness_arg;	/* controls the maximum amount to amplify by (default='2').  */
  char * aggressiveness_orig;	/* controls the maximum amount to amplify by original value given at command line.  */
  const char *aggressiveness_help; /* controls the maximum amount to amplify by help description.  */
  int inertia_arg;	/* how much inertia ramping has (default='6').  */
  char * inertia_orig;	/* how much inertia ramping has original value given at command line.  */
  const char *inertia_help; /* how much inertia ramping has help description.  */
  int target_level_arg;	/* target signal level (0-32768) (default='20000').  */
  char * target_level_orig;	/* target signal level (0-32768) original value given at command line.  */
  const char *target_level_help; /* target signal level (0-32768) help description.  */
  int damp_arg;	/* if non-zero, scale down after normalizing (default='0').  */
  char * damp_orig;	/* if non-zero, scale down after normalizing original value given at command line.  */
  const char *damp_help; /* if non-zero, scale down after normalizing help description.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int blocksize_given ;	/* Whether blocksize was given.  */
  int aggressiveness_given ;	/* Whether aggressiveness was given.  */
  int inertia_given ;	/* Whether inertia was given.  */
  int target_level_given ;	/* Whether target_level was given.  */
  int damp_given ;	/* Whether damp was given.  */

} ;

extern const char *compress_filter_args_info_purpose;
extern const char *compress_filter_args_info_usage;
extern const char *compress_filter_args_info_help[];

int compress_cmdline_parser (int argc, char * const *argv,
  struct compress_filter_args_info *args_info);
int compress_cmdline_parser2 (int argc, char * const *argv,
  struct compress_filter_args_info *args_info,
  int override, int initialize, int check_required);
int compress_cmdline_parser_file_save(const char *filename,
  struct compress_filter_args_info *args_info);

void compress_cmdline_parser_print_help(void);
void compress_cmdline_parser_print_version(void);

void compress_cmdline_parser_init (struct compress_filter_args_info *args_info);
void compress_cmdline_parser_free (struct compress_filter_args_info *args_info);

int compress_cmdline_parser_required (struct compress_filter_args_info *args_info,
  const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* COMPRESS_FILTER_CMDLINE_H */
